## pcloudfs 0.0.20160802

=== Makefile ===
CC=cc


ifeq ($(OS),Windows_NT)
    CCFLAGS += -D WIN32
else
    UNAME_S := $(shell uname -s)
    ifeq ($(UNAME_S),Linux)
	FUSE_FLAGS=$(shell pkg-config fuse --cflags)
	LDFLAGS=-lssl -lpthread -lcrypto -lfuse
    endif
    ifeq ($(UNAME_S),Darwin)
	FUSE_FLAGS=-D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=26 -I/usr/local/include/osxfuse/fuse
        LDFLAGS=-losxfuse -lssl -lpthread -lcrypto
    endif
endif

CFLAGS=-Wall -g -O2 $(FUSE_FLAGS) -Iinclude -D_GNU_SOURCE

all: mount.pfs

mount.pfs: settings.o pfs.o lib/binapi.o
	$(CC) settings.o pfs.o lib/binapi.o -o mount.pfs $(LDFLAGS)

install: mount.pfs
	install -D mount.pfs $(DESTDIR)/usr/bin/mount.pfs

clean:
	rm -f *~ *.o lib/*o mount.pfs

=== debian/changelog ===
pcloudfs (0.0.20160802-0~rzr1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Philippe Coval <rzr@gna.org>  Tue, 02 Aug 2016 14:25:17 -0400

pcloudfs (1.0+nmu1) unstable; urgency=low

  [ Vasil Kolev ]
  * Non-maintainer upload.
  * Update to latest release 
  * release

 -- root <root@mx.celltruth.com>  Sat, 19 Oct 2013 08:22:55 +0000

pcloudfs (1.0) unstable; urgency=low

  * Initial Release.

 -- root <root@nymphadora.home.ludost.net>  Mon, 16 Sep 2013 06:55:29 +0000

=== debian/control ===
Source: pcloudfs
Section: network
Priority: extra
Maintainer: Vasil Kolev <vasil@mobileinno.com>
Build-Depends: debhelper (>= 7.0.50~), libssl-dev, libfuse-dev, pkg-config, xsltproc, docbook-xsl
Standards-Version: 3.8.4
Homepage: http://pcloud.com/
#Vcs-Git: git://git.debian.org/collab-maint/pcloudfs.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/pcloudfs.git;a=summary

Package: pcloudfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: pCloud file-system
 pCloud file system
 long description goes here

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

manpage.8: debian/manpage.xml
	$(XP) $(DB2MAN) $<


override_dh_auto_build: manpage.8
	dh_auto_build

%:
	dh $@
